Bug 62479 - New port: sysutils/munin-node Node-specific part of Munin
Summary: New port: sysutils/munin-node Node-specific part of Munin
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mathieu Arnold
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-02-07 15:30 UTC by Lupe Christoph
Modified: 2004-03-06 14:20 UTC (History)
1 user (show)

See Also:


Attachments
file.shar (14.13 KB, text/plain)
2004-02-07 15:30 UTC, Lupe Christoph
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lupe Christoph 2004-02-07 15:30:19 UTC
	Node-specific part of Munin
	http://www.linpro.no/projects/munin/
	Munin is a tool for graphing all sorts of information about one or
	more servers and displaying it in a web interface. It uses the
	execellent RRDTool (written by Tobi Oetiker) and is written in Perl.
	Munin has a master/node architecture. The master connects to all
	the nodes at regular intervals, and asks them for data. It then
	stores the data in RRD-files, and (if needed) updates the graphs.
	One of the main goals have been ease of creating own "plugins"
	(graphs).
Comment 1 Mathieu Arnold freebsd_committer 2004-03-01 15:34:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mat

Take this
Comment 2 Mathieu Arnold freebsd_committer 2004-03-01 15:59:05 UTC

+-le 07/02/2004 16:27 +0100, Lupe Christoph a dit :
| 
|#	munin-node/files/pkg-message
|#	munin-node/pkg-message

I guess the later is not needed, right ?

-- 
Mathieu Arnold
Comment 3 Lupe Christoph 2004-03-01 16:23:07 UTC
On Monday, 2004-03-01 at 16:59:05 +0100, Mathieu Arnold wrote:

> |#	munin-node/files/pkg-message
> |#	munin-node/pkg-message

> I guess the later is not needed, right ?

> |#	munin-main/files/pkg-message
> |#	munin-main/pkg-message

> I guess, the later is not needed there either, right ?

--- Also sprach Mathieu Arnold ---

You're right. Sorry for packing it ;-) I have a slightly corrected
version of the munin-main port. You can pick the ports up at
http://prdownloads.sourceforge.net/munin/munin-freebsd-ports.tar.gz?download
or do you want me to mail the munin-main port?

Thanks for picking the ports up!
Lupe Christoph
-- 
| lupe@lupe-christoph.de       |           http://www.lupe-christoph.de/ |
| "Violence is the resort of the violent" Lu Tze                         |
| "Thief of Time", Terry Pratchett                                       |
Comment 4 Mathieu Arnold freebsd_committer 2004-03-01 16:31:25 UTC
+-le 01/03/2004 17:23 +0100, Lupe Christoph a dit :
| On Monday, 2004-03-01 at 16:59:05 +0100, Mathieu Arnold wrote:
| 
|> |#	munin-node/files/pkg-message
|> |#	munin-node/pkg-message
| 
|> I guess the later is not needed, right ?
| 
|> |#	munin-main/files/pkg-message
|> |#	munin-main/pkg-message
| 
|> I guess, the later is not needed there either, right ?
| 
| --- Also sprach Mathieu Arnold ---
| 
| You're right. Sorry for packing it ;-) I have a slightly corrected
| version of the munin-main port. You can pick the ports up at
| http://prdownloads.sourceforge.net/munin/munin-freebsd-ports.tar.gz?download
| or do you want me to mail the munin-main port?

Hum, have those changed a lot since when you submitted the PR's ?
if yes, I'll download them.

ps: please, keep freebsd-gnats-submit@FreeBSD.org in cc so that it records
what we say :)
-- 
Mathieu Arnold
Comment 5 Mathieu Arnold freebsd_committer 2004-03-01 16:34:39 UTC
+-le 01/03/2004 17:23 +0100, Lupe Christoph a dit :
| On Monday, 2004-03-01 at 16:59:05 +0100, Mathieu Arnold wrote:
| 
|> |#	munin-node/files/pkg-message
|> |#	munin-node/pkg-message
| 
|> I guess the later is not needed, right ?
| 
|> |#	munin-main/files/pkg-message
|> |#	munin-main/pkg-message
| 
|> I guess, the later is not needed there either, right ?
| 
| --- Also sprach Mathieu Arnold ---
| 
| You're right. Sorry for packing it ;-) I have a slightly corrected
| version of the munin-main port. You can pick the ports up at
| http://prdownloads.sourceforge.net/munin/munin-freebsd-ports.tar.gz?download
| or do you want me to mail the munin-main port?
| 
| Thanks for picking the ports up!
| Lupe Christoph

Btw, could you make /var/run/munin configurable at compile time ?

-- 
Mathieu Arnold
Comment 6 Lupe Christoph 2004-03-01 17:31:45 UTC
On Monday, 2004-03-01 at 17:31:25 +0100, Mathieu Arnold wrote:
> +-le 01/03/2004 17:23 +0100, Lupe Christoph a dit :
> | On Monday, 2004-03-01 at 16:59:05 +0100, Mathieu Arnold wrote:

> Hum, have those changed a lot since when you submitted the PR's ?
> if yes, I'll download them.

Minor stuff:

- relocate LIBDIR to .../share/munin (it was .../lib, not a
  brilliant idea...)
- Preserve group munin when deleting user munin;
  check if user or group have been deleted before pkg_delete.

> ps: please, keep freebsd-gnats-submit@FreeBSD.org in cc so that it records
> what we say :)

Done. But I don't know how to add the comments to *both* entries.

> Btw, could you make /var/run/munin configurable at compile time ?

Any preferred way to do that?

Lupe Christoph
-- 
| lupe@lupe-christoph.de       |           http://www.lupe-christoph.de/ |
| "Violence is the resort of the violent" Lu Tze                         |
| "Thief of Time", Terry Pratchett                                       |
Comment 7 Mathieu Arnold freebsd_committer 2004-03-01 18:22:22 UTC
+-le 01/03/2004 18:31 +0100, Lupe Christoph a dit :
| On Monday, 2004-03-01 at 17:31:25 +0100, Mathieu Arnold wrote:
|> +-le 01/03/2004 17:23 +0100, Lupe Christoph a dit :
|> |Mondaynday, 2004-03-01 at 16:59:05 +0100, Mathieu Arnold wrote:
| 
|> Hum, have those changed a lot since when you submitted the PR's ?
|> if yes, I'll download them.
| 
| Minor stuff:
| 
| - relocate LIBDIR to .../share/munin (it was .../lib, not a
|   brilliant idea...)
| - Preserve group munin when deleting user munin;
|   check if user or group have been deleted before pkg_delete.

Ok, I'll have a look at this tomorrow morning.

|> ps: please, keep freebsd-gnats-submit@FreeBSD.org in cc so that it records
|> what we say :)
| 
| Done. But I don't know how to add the comments to *both* entries.

Not needed :)

|> Btw, could you make /var/run/munin configurable at compile time ?
| 
| Any preferred way to do that?

Hum, I believe it stores it's rrd files in this directory, I'll say
MUNIN_DIR?=/var/run/munin
in Makefile, and passing it through whatever CONFIGURE_ARGS or a post-patch
target changing it all the way in the files, whatever appropriate :)

-- 
Mathieu Arnold
Comment 8 Lupe Christoph 2004-03-01 19:39:15 UTC
On Monday, 2004-03-01 at 19:22:22 +0100, Mathieu Arnold wrote:
> +-le 01/03/2004 18:31 +0100, Lupe Christoph a dit :
> | On Monday, 2004-03-01 at 17:31:25 +0100, Mathieu Arnold wrote:

> |> Btw, could you make /var/run/munin configurable at compile time ?

> | Any preferred way to do that?

> Hum, I believe it stores it's rrd files in this directory, I'll say
> MUNIN_DIR?=/var/run/munin
> in Makefile, and passing it through whatever CONFIGURE_ARGS or a post-patch
> target changing it all the way in the files, whatever appropriate :)

No, the RRD files go into $PREFIX/var/munin. qCan you suggest a better
place?  In the Debian packages, they go into /var/lib/munin, but I
recently read on debian-news that RRD files should go into /var/cache
there (they were not talking about Munin, but some other package using
RRDtool). The source package of Munin defaults to
$(DESTDIR)/var/opt/munin.

I've never seen /var/opt on FreeBSD, so I dropped the /opt. With so many
pathes around, why not opt for variety ;-) SCNR. DATADIR looked like
it's meant for static data.

Lupe Christoph

PS: /var/run/munin is only used for *.pid and *.lock. Files that can be
    cleaned out by a reboot. I'm used to Solaris 8 having a tmpfs
    mounted as /var/run and Debian cleaning out /var/run on boot, so I
    shy away from having data there...
-- 
| lupe@lupe-christoph.de       |           http://www.lupe-christoph.de/ |
| "Violence is the resort of the violent" Lu Tze                         |
| "Thief of Time", Terry Pratchett                                       |
Comment 9 Mathieu Arnold freebsd_committer 2004-03-01 19:45:12 UTC
+-Le 01/03/2004 20:39 +0100, Lupe Christoph a dit :
| On Monday, 2004-03-01 at 19:22:22 +0100, Mathieu Arnold wrote:
|> +-le 01/03/2004 18:31 +0100, Lupe Christoph a dit :
|> |Mondaynday, 2004-03-01 at 17:31:25 +0100, Mathieu Arnold wrote:
| 
|> |> Btw, could you make /var/run/munin configurable at compile time ?
| 
|> | Any preferred way to do that?
| 
|> Hum, I believe it stores it's rrd files in this directory, I'll say
|> MUNIN_DIR?=/var/run/munin
|> in Makefile, and passing it through whatever CONFIGURE_ARGS or a
|> post-patch target changing it all the way in the files, whatever
|> appropriate :)
| 
| No, the RRD files go into $PREFIX/var/munin. qCan you suggest a better
| place?

That their perfect place, don't touch :)

| PS: /var/run/munin is only used for *.pid and *.lock. Files that can be
|     cleaned out by a reboot. I'm used to Solaris 8 having a tmpfs
|     mounted as /var/run and Debian cleaning out /var/run on boot, so I
|     shy away from having data there...

Oh, ok, so, don't move them, they're at their right place :)

forget what I've said about /var/run/munin, it's perfect where it is :)

-- 
Mathieu Arnold
Comment 10 Lupe Christoph 2004-03-01 22:19:23 UTC
On Monday, 2004-03-01 at 20:45:12 +0100, Mathieu Arnold wrote:

> That their perfect place, don't touch :)

> Oh, ok, so, don't move them, they're at their right place :)

> forget what I've said about /var/run/munin, it's perfect where it is :)

Whoa, calm down, I'll let them be :-)

With so many possibilities, it isn't easy or straightforward to pick the
right one. It wasn't genius, just a stroke of luck ;-)

Anything else I should change? I mean except the relocation from
$PREFIX/lib to $DATADIR I already did?

Lupe Christoph
-- 
| lupe@lupe-christoph.de       |           http://www.lupe-christoph.de/ |
| "Violence is the resort of the violent" Lu Tze                         |
| "Thief of Time", Terry Pratchett                                       |
Comment 11 Mathieu Arnold freebsd_committer 2004-03-02 15:53:50 UTC
State Changed
From-To: open->closed

Port added, thanks !
Comment 12 Mathieu Arnold freebsd_committer 2004-03-02 15:58:14 UTC
+-le 01/03/2004 23:19 +0100, Lupe Christoph a dit :
| On Monday, 2004-03-01 at 20:45:12 +0100, Mathieu Arnold wrote:
| 
|> That their perfect place, don't touch :)
| 
|> Oh, ok, so, don't move them, they're at their right place :)
| 
|> forget what I've said about /var/run/munin, it's perfect where it is :)
| 
| Whoa, calm down, I'll let them be :-)
| 
| With so many possibilities, it isn't easy or straightforward to pick the
| right one. It wasn't genius, just a stroke of luck ;-)
| 
| Anything else I should change? I mean except the relocation from
| $PREFIX/lib to $DATADIR I already did?

You can have a look at what I committed, it's a bit different from what you
sent, mainly plist fixes, and PKGMESSAGE change (you shall not write anything
outside of WRKDIR when building) and, hum, slight change in pkg-message too,
no need to complicate things. What else, hum, I don't know, if I broke
something, just tell me :)

-- 
Mathieu Arnold
Comment 13 Lupe Christoph 2004-03-03 07:41:54 UTC
On Tuesday, 2004-03-02 at 16:58:14 +0100, Mathieu Arnold wrote:
> +-le 01/03/2004 23:19 +0100, Lupe Christoph a dit :
> | On Monday, 2004-03-01 at 20:45:12 +0100, Mathieu Arnold wrote:

> You can have a look at what I committed, it's a bit different from what you
> sent, mainly plist fixes, and PKGMESSAGE change (you shall not write anything
> outside of WRKDIR when building) and, hum, slight change in pkg-message too,
> no need to complicate things. What else, hum, I don't know, if I broke
> something, just tell me :)

Thanks for all the improvements. Especially for correcting my oversights
with the plist.

You added etc/munin/VERSION.node to the plist, which AFAIK causes it to
be removed by portupgrade (pkg_delete, probably). But this is a marker
that is used on upgrades to locate added plugins and automagically link
them to the etc/munin/plugins directory.

I found no way to differentiate between an upgrade and a complete
removal.

What I need on an upgrade is the old plugin directory, and the VERSION
that is being upgraded. BTW, that is also the reason I don't empty the
etc/munin/plugins directory on pkg_delete.

So I think VERSION.node must be removed from plist.

Lupe Christoph

PS: I generated the distinfo file with make makesum as it is described
    in the Porter's Handbook. I see you added a SIZE line. Shouldn't
    make makesum have added that line, too?
-- 
| lupe@lupe-christoph.de       |           http://www.lupe-christoph.de/ |
| "Violence is the resort of the violent" Lu Tze                         |
| "Thief of Time", Terry Pratchett                                       |
Comment 14 Mathieu Arnold freebsd_committer 2004-03-03 08:08:54 UTC
+-Le 03/03/2004 08:41 +0100, Lupe Christoph a dit :
| On Tuesday, 2004-03-02 at 16:58:14 +0100, Mathieu Arnold wrote:
|> +-le 01/03/2004 23:19 +0100, Lupe Christoph a dit :
|> |Mondaynday, 2004-03-01 at 20:45:12 +0100, Mathieu Arnold wrote:
| 
|> You can have a look at what I committed, it's a bit different from what
|> you sent, mainly plist fixes, and PKGMESSAGE change (you shall not write
|> anything outside of WRKDIR when building) and, hum, slight change in
|> pkg-message too, no need to complicate things. What else, hum, I don't
|> know, if I broke something, just tell me :)
| 
| Thanks for all the improvements. Especially for correcting my oversights
| with the plist.
| 
| You added etc/munin/VERSION.node to the plist, which AFAIK causes it to
| be removed by portupgrade (pkg_delete, probably). But this is a marker
| that is used on upgrades to locate added plugins and automagically link
| them to the etc/munin/plugins directory.
| 
| I found no way to differentiate between an upgrade and a complete
| removal.
| 
| What I need on an upgrade is the old plugin directory, and the VERSION
| that is being upgraded. BTW, that is also the reason I don't empty the
| etc/munin/plugins directory on pkg_delete.
| 
| So I think VERSION.node must be removed from plist.

Well, badly there is no way to find out wether you're deleting the port or
wether you're upgrading :/ and when deleting, a port should remove all it's
files. Maybe you should have a look at pkgconfig's plist, maybe you should
do the same thing. You can come with this question on ports@ to see what's
the way to go :)

| PS: I generated the distinfo file with make makesum as it is described
|     in the Porter's Handbook. I see you added a SIZE line. Shouldn't
|     make makesum have added that line, too?

Your /usr/ports/Mk was not up-to-date, that's what I guess :)

-- 
Mathieu Arnold
Comment 15 Mathieu Arnold 2004-03-06 13:17:32 UTC
+- Le samedi 6 mars 2004 14:41 +0100 Lupe Christoph 
<lupe@lupe-christoph.de> a dit :
| On Wednesday, 2004-03-03 at 09:08:54 +0100, Mathieu Arnold wrote:
|> +-Le 03/03/2004 08:41 +0100, Lupe Christoph a dit :
|
|> | So I think VERSION.node must be removed from plist.
|
|> Well, badly there is no way to find out wether you're deleting the port
|> or wether you're upgrading :/ and when deleting, a port should remove
|> all it's files. Maybe you should have a look at pkgconfig's plist, maybe
|> you should do the same thing. You can come with this question on ports@
|> to see what's the way to go :)
|
| No reply from the ports mailing list. What about this: following
| pkgconfig's example, we remove VERSION.node from the plist and put his
| in:
|
| @unexec echo "If you want to *completely* remove munin-node, you have
| @unexec echo "to rm -rf %D/var/munin and %D/etc/munin. They have to be"
| @unexec echo "left on the system because you may be performing an
| @unexec echo "update. This process can't tell."

Looks good. Send a new pr :)

| %D must probably be replaced by %%something%%. Dunno what whichout
| %research :-(

%D should be ok.

-- 
Mathieu Arnold
Comment 16 Lupe Christoph 2004-03-06 13:41:16 UTC
On Wednesday, 2004-03-03 at 09:08:54 +0100, Mathieu Arnold wrote:
> +-Le 03/03/2004 08:41 +0100, Lupe Christoph a dit :

> | So I think VERSION.node must be removed from plist.

> Well, badly there is no way to find out wether you're deleting the port or
> wether you're upgrading :/ and when deleting, a port should remove all it's
> files. Maybe you should have a look at pkgconfig's plist, maybe you should
> do the same thing. You can come with this question on ports@ to see what's
> the way to go :)

No reply from the ports mailing list. What about this: following
pkgconfig's example, we remove VERSION.node from the plist and put his
in:

@unexec echo "If you want to *completely* remove munin-node, you have
@unexec echo "to rm -rf %D/var/munin and %D/etc/munin. They have to be"
@unexec echo "left on the system because you may be performing an
@unexec echo "update. This process can't tell."

%D must probably be replaced by %%something%%. Dunno what whichout
%research :-(

Lupe Christoph
-- 
| lupe@lupe-christoph.de       |           http://www.lupe-christoph.de/ |
| "Violence is the resort of the violent" Lu Tze                         |
| "Thief of Time", Terry Pratchett                                       |